#version 330

in vec2 frag_uv;


uniform vec3 object_color;
uniform sampler2D object_texture;


out vec4 final_color;


void main()
{
	final_color = vec4(texture(object_texture, vec2(frag_uv.x, 1.0f - frag_uv.y)).rgb * object_color, 1.0f);
}
